Name: 		thewidgetfactory
Summary: 	Test tool for GTK2 theme
Version: 	0.2.1
Release: 	%mkrel 1
License:	GPL
Group: 		Development/Other
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.16x16.png
Source2:	%{name}.32x32.png
Source3:	%{name}.48x48.png
# (fc)  add more widgets
Patch0:		%{name}-0.2.1-newwidgets.patch.bz2
#patch the two makefile.in to avoid warnings of autoconf
Patch1:		%{name}-0.2.1-fix-makefile-datadir.patch
URL:		http://www.stellingwerff.com/?page_id=10
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:  glade2
BuildRequires:  x11-server-xvfb
BuildRequires:  desktop-file-utils


%description
TheWidgetFactory is a showcase of GTK2 widgets, 
only useful to theme developers.

%prep
%setup -q
%patch0 -p1 -b .newwidgets
%patch1 -p1 -b .fixmakefile

# fix build
aclocal-1.9
autoconf

%build
%configure2_5x --prefix=$RPM_BUILD_ROOT  CFLAGS=%{?mflags} --build=i586-mandriva-linux-gnu --host=i586-mandriva-linux-gnu --target=i586-mandriva-linux-gnu

%{__make} %{?mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=The Widget Factory
Comment=A tool for previewing GTK widgets
Exec=%{_bindir}/twf
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;Tools;X-MandrivaLinux-Development-Tools;
EOF
        
# icon
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%post
%{update_desktop_database}
%update_menus

%postun
%{clean_desktop_database}
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_bindir}/twf
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Sat Apr 05 2008 don_crissti <don_crissti@gmx.com> 0.2.1-1pclos2007
- initial build for PCLinuxOS
- added some GPL icons to the source since the author did not provide any
